#!/bin/bash
### BEGIN INIT INFO
# Provides:          rk_check_testinternet
# Required-Start:    
# Required-Stop:     
# Default-Start:     
# Default-Stop:      
# Short-Description: Testuje, ci bezi program rk_testinternet. Ak nie, tak ho spusti.
# Description:       
#                    
# END INIT INFO
# Author: Richard Kaliciak <richard.kaliciak@freenet.de>
#
# Do NOT "set -e"

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

################ konstanty ################
PROG_CHECK=rk_testinternet
WAITTIME=60
# aktivovanie vypisov pre DEBUG=1
DEBUG=1
################ konstanty ################

if [ $DEBUG -eq 1 ]; then
	echo "Anfang $(date +%d.%m.%Y-%H:%M:%S)"
	echo "PROG_CHECK=$PROG_CHECK"
fi


# cas (hodiny)
HODINA=$(date +%H)

# na zaciatku dna zastav beziaci proces, aby sa uvolnil logovaci subor
# vytvor casovu kopiu logovacieho suboru
# spusti proces
if [ $HODINA -eq 0 ]; then
	# zisti, ci bezi skript rk_testinternet.sh
	CPID=$(pgrep $PROG_CHECK)

	if [ "$CPID" ]
	then
		# zastav proces
		touch ~/stop
		
		sleep $WAITTIME

	fi

	# send logfile testinternet
	echo	
	echo	"posielam E-Mail"
	sendEmail -f XXX@XXXXXXX.XX -t XXXXXXXXXXXXXXXX@XXXXXXX.XX -u "denny report testu internetoveho pripojenia, $TERAZ" -s XX.XXXXXXX.XX:587 -xu XXX@XXXXXXX.XX -xp XXXXXXXXXX -o message-file=/var/log/rk_alarm/rk_testinternet.log -o tls=yes

	echo
	echo	"start logrotate"
	logrotate -f ~/rk_alarm2.cfg 

fi

# zisti, ci bezi skript rk_testinternet.sh
CPID=$(pgrep $PROG_CHECK)

# ak nie, tak nastartuj skript
if [ -z "$CPID" ]
then 
	echo
	echo	"start $PROG_CHECK"
	nohup ~/$PROG_CHECK.sh > /var/log/rk_alarm/$PROG_CHECK.log 2>&1 &
	
else
	echo	"program $PROG_CHECK bezi"
fi

if [ $DEBUG -eq 1 ]; then echo "Ende $(date +%d.%m.%Y-%H:%M:%S)"; fi

